Blender Git Commit Log

Git Commits -> Revision 0d1f011

Revision 0d1f011 by Mike Erwin (master)
August 3, 2016, 21:58 (GMT)
OpenGL: Blender 2.8 on X11 requires GL 3.0

Implements the Linux part of T49012.

Simplify the options for context creation. No options for legacy GL or EGL or ES2. Select 3.2 CORE or COMPATIBILITY profile at build time.

If that fails, use a GL 3.0 context. This keeps Mesa supported while we work on full 3.2 core elsewhere in the code.

Commit Details:

Full Hash: 0d1f0116febf7dbdeaec7cf2379ef192503d7d43
Parent Commit: eccf5a6
Lines Changed: +47, -77

By: Miika HämäläinenLast update: Nov-07-2014 14:18 MiikaHweb | 2003-2021